import { EvaluateResult } from "./compile";
declare type Integer = number;
export declare type Environment = {
    mediaType: "screen" | "print" | "not-screen-or-print";
    anyHover: "none" | "hover";
    anyPointer: "none" | "coarse" | "fine";
    colorGamut: "not-srgb" | "srgb-but-not-p3" | "p3-but-not-rec2020" | "rec2020";
    grid: "bitmap" | "grid";
    hover: "none" | "hover";
    overflowBlock: "none" | "scroll" | "paged";
    overflowInline: "none" | "scroll";
    pointer: "none" | "coarse" | "fine";
    scan: "interlace" | "progressive";
    update: "none" | "slow" | "fast";
    widthPx: Integer;
    heightPx: Integer;
    deviceWidthPx: Integer;
    deviceHeightPx: Integer;
    colorBits: Integer;
    monochromeBits: "not-monochrome" | Integer;
    colorIndex: "none" | Integer;
    dppx: Integer;
};
declare type DefaultableFeatures = "mediaType" | "anyHover" | "anyPointer" | "colorGamut" | "grid" | "hover" | "overflowBlock" | "overflowInline" | "pointer" | "scan" | "update" | "colorIndex" | "colorBits" | "monochromeBits";
export declare const DESKTOP_ENVIRONMENT: Pick<Environment, DefaultableFeatures>;
export declare const validateEnv: (env: Environment) => void;
export declare const matches: (compiledQuery: EvaluateResult, environment: Omit<Environment, DefaultableFeatures> & Partial<Pick<Environment, DefaultableFeatures>>) => boolean;
export {};
//# sourceMappingURL=matches.d.ts.map