import { AST, MediaCondition, MediaFeature } from "media-query-parser";
import { Perm, MediaFeatures } from "./helpers";
import { CompiledUnitConversions, UnitConversions } from "./units";
export declare type SimplePerm = Partial<MediaFeatures & {
    "media-type": "screen" | "print" | "not-screen" | "not-print";
}>;
export declare type EvaluateResult = {
    simplePerms: SimplePerm[];
    invalidFeatures: string[];
    falseFeatures: string[];
};
export declare const andPerms: (as: Perm[], bs: Perm[]) => Perm[];
export declare const mergePerms: (a: Perm, b: Perm) => Perm;
export declare const notPerms: (conditionSets: Perm[]) => Perm[];
export declare const invertPerm: (set: Perm) => Perm[];
export declare const mediaFeatureToPerms: (mediaFeature: MediaFeature, unitConversions: CompiledUnitConversions) => Perm[];
export declare const mediaConditionToPerms: (mediaCondition: MediaCondition, unitConversions: CompiledUnitConversions) => Perm[];
export declare const simplifyPerms: (perms: Perm[]) => EvaluateResult;
export declare const compileAST: (ast: AST, units?: Partial<UnitConversions>) => EvaluateResult;
export declare const compileQuery: (query: string, units?: Partial<UnitConversions>) => EvaluateResult;
//# sourceMappingURL=compile.d.ts.map