import { EvaluateResult, SimplePerm } from "./compile";
declare type Values<T> = T[keyof T];
declare type KVPairs<T> = Values<{
    [Property in keyof T]: [Property, T[Property]];
}>;
declare type FeaturePair = KVPairs<Required<SimplePerm>>;
declare type QuerySegment = {
    type: "type" | "feature" | "always" | "dimension" | "number" | "ratio" | "bool-op" | "comparison" | "plain" | "paren" | "never";
    value: string;
};
export declare type HumanFriendlyData = {
    querySegmentLists: QuerySegment[][];
    invalidFeatures: EvaluateResult["invalidFeatures"];
    falseFeatures: EvaluateResult["falseFeatures"];
};
export declare const featurePairToEnglishQuerySegments: (p: FeaturePair) => QuerySegment[];
export declare const toEnglishData: (result: EvaluateResult) => HumanFriendlyData;
export declare const toEnglishString: (result: EvaluateResult) => string;
export {};
//# sourceMappingURL=english.d.ts.map